Bug 1251939 - Missing keyboard "English (US, International with dead keys)"
Missing keyboard "English (US, International with dead keys)"
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: anaconda (Show other bugs)
7.1
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Anaconda Maintenance Team
Release Test Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-10 07:23 EDT by Oliver Haessler
Modified: 2017-08-21 04:42 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Oliver Haessler 2015-08-10 07:23:43 EDT
Description of problem:
The keyboard choice "English (US, International with dead keys)" is missing in system-config-keyboard.

Version-Release number of selected component (if applicable):
system-config-keyboard-1.4.0-4.el7.noarch

How reproducible:
every time

Steps to Reproduce:
1. start system-config-keyboard
2. "English (US, International with dead keys)" is missing

Actual results:
"English (US, International with dead keys)" is missing 

Expected results:
"English (US, International with dead keys)" should be there (as it was in RHEL 6)

Additional info:
This Option is needed to get all characters in Brazil, as they use a US keyboard with extra characters
Comment 2 Nils Philippsen 2015-08-13 08:22:35 EDT
I don't see the keyboard choice "English (US, International with dead keys)" on RHEL6. Going through the git history of s-c-keyboard, there's no indication that it ever existed. The only "English" choices in RHEL6 are "United Kingdom", "U.S. English" and "U.S. International", there's a "Brazilian (ABNT2)" however, is that the model you're looking for?
Comment 3 Mauricio Teixeira 2015-08-13 08:39:55 EDT
Nils, it was me who first reported this to Oliver. I don't remember what was the name of the keyboard option in RHEL6, but the "English (US, International with dead keys)" is the name that we see on the Gnome keyboard settings. The "U.S. International" sounds very similar, and I understand if the names would differ between Anaconda and Gnome. But at this point not even "U.S. International" is available in Anaconda in RHEL7. The important thing is get to this end result:

# localectl status
   System Locale: LANG=en_US.UTF-8
       VC Keymap: us-intl
      X11 Layout: us
     X11 Variant: intl
Comment 4 Nils Philippsen 2015-08-14 05:21:02 EDT
(In reply to Mauricio Teixeira from comment #3)
> Nils, it was me who first reported this to Oliver. I don't remember what was
> the name of the keyboard option in RHEL6, but the "English (US,
> International with dead keys)" is the name that we see on the Gnome keyboard
> settings. The "U.S. International" sounds very similar, and I understand if
> the names would differ between Anaconda and Gnome. But at this point not
> even "U.S. International" is available in Anaconda in RHEL7.

> ... Anaconda ...

... doesn't use system-config-keyboard in RHEL-7:

--- 8< --- anaconda.spec ---
* Mon Aug 13 2012 Chris Lumens <clumens@redhat.com> - 18.4-1
[...]
- Replace system-config-keyboard with our methods using ksdata.keyboard
  (vpodzime)
--- >8 ---------------------

> The important thing is get to this end result:
> 
> # localectl status
>    System Locale: LANG=en_US.UTF-8
>        VC Keymap: us-intl
>       X11 Layout: us
>      X11 Variant: intl

The important thing is that you get a working keyboard layout :P. Have you tried setting the layout to "U.S. International" (or even "Brazilian (ABNT2)") using s-c-keyboard, do these layouts work for you?

Note You need to log in before you can comment on or make changes to this bug.